> This is the Markdown version of the page. For the complete Lattice Developers documentation index, fetch https://developer.anduril.com/llms.txt. Append .md to any page URL for its clean Markdown.

# Get object

GET https://example.developer.anduril.com/api/v1/objects/{objectPath}

Fetches an object from your environment using the objectPath path parameter.

Reference: https://developer.anduril.com/reference/rest/objects/get-object

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `objectPath` (string, required) — The path of the object to fetch.

### Headers

- `Accept-Encoding` (enum, optional) — If set, Lattice will compress the response using the specified compression method. If the header is not defined, or the compression method is set to `identity`, no compression will be applied to the response.
  - Allowed values: `identity`, `zstd`
- `Priority` (string, optional) — Indicates a client's preference for the priority of the response. The value is a structured header as defined in RFC 9218. If you do not set the header, Lattice uses the default priority set for the environment. Incremental delivery directives are not supported and will be ignored.

## Response

### 200

Successful operation

- File download.

## Errors

### 400 Bad Request Error

Bad request

- `code` (string, required)
- `message` (string, required)

### 401 Unauthorized Error

Unauthorized to access resource

- `code` (string, required)
- `message` (string, required)

### 404 Not Found Error

The specified resource was not found

- `code` (string, required)
- `message` (string, required)

### 500 Internal Server Error

Internal server error

- `code` (string, required)
- `message` (string, required)